

#ifndef mzparameters_h
#define mzparameters_h 1

/** 
* define parameters
*/


static const double mp=0.938272029;      //proton mass   (GeV) (PDG 2008)
static const double me=0.000510998910;   //electron mass (GeV) (PDG 2008)
static const double mmu=0.1056583668;    //muon mass     (GeV) (PDG 2008)
static const double mtau=1.77682;        //tau mass      (GeV) (PDG 2008)
static const double mpi=0.13957018;      //pi+ mass      (GeV) (PDG 2008)
static const double mpi0=0.1349766;      //pi0 mass      (GeV) (PDG 2008)

static const double Gamma_omega=0.00849; //omega width (GeV) [PDG 2010]
static const double Gamma_phi=0.00426;   //phi width   (GeV) [PDG 2010]
static const double mup=2.792847351;     //proton magnetic moment  [PDG 2008]

static const double alpha_QED=1.0/137.035999679; //fine-structure constant [PDG 2008]
static const double hc2=0.389379304; //(hbar*c)^2  (mb*GeV^2) [PDG 2008] 


#endif
