void mzplots(){


  gStyle->SetOptTitle(0); //Hide title of the histogramm    
  gStyle->SetOptStat(0); //Hide stat box of the histogramm
  gStyle->SetErrorX(0); // set X error bars to zero
  //  gStyle->SetOptLogy();


  TFile *A = TFile::Open("mzhistos.root");


  //h0
  TH1F* histo = new TH1F(*h0);

  histo->SetLineColor(8); //green
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("d#sigma/dcos(#theta*) [pb]");  //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.0);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  //c1->SetOptLogy();
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h0.eps");








  //h1
  TH1F* histo = new TH1F(*h1);

  histo->SetLineColor(2); //red
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("d#sigma/dcos(#theta*) [#mu b]");  //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.001);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy();
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h1.eps");







  //h2
  TH1F* histo = new TH1F(*h2);

  histo->SetLineColor(1); //red
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("d#sigma(#pi^{+}#pi^{-})/d#sigma(l^{+}l^{-})*10^{-6}");  //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.001);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy();
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h2.eps");







  //h10
  TH1F* histo = new TH1F(*h10);

  histo->SetLineColor(8); //red
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("#sigma [pb]");  //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.0);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy(0);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h10.eps");







  //h11
  TH1F* histo = new TH1F(*h11);

  histo->SetLineColor(2); //red
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("#sigma [#mu b]");  //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.001);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy(1);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h11.eps");






  //h12
  TH1F* histo = new TH1F(*h12);

  histo->SetLineColor(1);
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("#sigma(#pi^{+}#pi^{-})/#sigma(l^{+}l^{-})*10^{-6}");  //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.001);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy(1);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h12.eps");









  //h14
  TH1F* histo = new TH1F(*h14);

  histo->SetLineColor(8);
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("#sigma/a [pb]");              //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.0);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy(0);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h14.eps");





  //h15
  TH1F* histo = new TH1F(*h15);

  histo->SetLineColor(2);
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("#sigma/a [#mu b]");              //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.001);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy(1);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h15.eps");







  //h100
  TH1F* histo = new TH1F(*h100);

  histo->SetLineColor(8); //green
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("d#sigma/dcos(#theta*) [pb]");  //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.0);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy(0);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h100.eps");






  //h102
  TH1F* histo = new TH1F(*h102);

  histo->SetLineColor(1); //red
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("d#sigma(#pi^{+}#pi^{-})/d#sigma(l^{+}l^{-})*10^{-6}");  //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.001);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy(1);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h102.eps");





  //h110
  TH1F* histo = new TH1F(*h110);

  histo->SetLineColor(8); //red
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("#sigma [pb]");  //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.0);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy(0);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h110.eps");





  //h112
  TH1F* histo = new TH1F(*h112);

  histo->SetLineColor(1);
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("#sigma(#pi^{+}#pi^{-})/#sigma(l^{+}l^{-})*10^{-6}");  //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.001);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy(1);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h112.eps");








  //h114
  TH1F* histo = new TH1F(*h114);

  histo->SetLineColor(8);
  histo->SetLineWidth(3);

  histo->GetXaxis()->SetTitle("cos(#theta*)");               //X axis, title
  histo->GetXaxis()->SetTitleSize(0.06);                     //X axis, title size
  histo->GetXaxis()->SetTitleOffset(0.67);                   //X axis, offset
  histo->GetYaxis()->SetTitle("#sigma/a [pb]");              //Y axis, title
  histo->GetYaxis()->SetTitleSize(0.06);                     //Y axis, title size
  histo->GetYaxis()->SetTitleOffset(0.77);                   //Y axis, offset

  histo->SetMinimum(0.0);
  //histo->SetMaximum(1100.0);

  histo->Draw();

  c1->SetLogy(0);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetFrameBorderMode(0);

  //TLegend *legend = new TLegend(.18, .2, .5, .5);
  //legend->SetBorderSize(0);
  //legend->SetFillColor(0);
  //if(FF_flag==0) legend->AddEntry(histo,"G_{E}, G_{M}: pQCD","");
  //if(FF_flag==1) legend->AddEntry(histo,"G_{E}, G_{M}: vmd","");
  //if(FF_flag==2) legend->AddEntry(histo,"G_{E}, G_{M}: dipole model","");
  //legend->Draw();

  gPad->SaveAs("h114.eps");







}
